v 15.0 Third Party 3880
Download for v 15.0 Deploy on Odoo.sh
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Invoicing (account)
Discuss (mail)
Lines of code 442
Technical Name om_account_bank_statement_import
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Versions 14.0 15.0 16.0 17.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Invoicing (account)
Discuss (mail)
Lines of code 442
Technical Name om_account_bank_statement_import
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Versions 14.0 15.0 16.0 17.0

Generic Wizard to Import Bank Statements In Odoo15 Community Edition. (This module does include any CSV and XLSX type import format.)

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
I tried to use but canot find the way
by
Jose C
on 2/6/22, 10:43 PM

Please where i can see more details how to use. My Odoo 15 is a clean instalation in a Windows PC. I got the error

 Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "C:\Program Files\Odoo 15.0.20220203\server\odoo\http.py", line 644, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files\Odoo 15.0.20220203\server\odoo\http.py", line 302, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range

I use the sample inside the app like:

      DateLabelPartnerAmountCurrency
2020-12-01Test 1odoo mates30
2020-12-01Test 2odoo mates40







Re: I tried to use but canot find the way
by
Odoo Mates
on 2/7/22, 4:08 AM Author

Hi,

Can you share the file over the email, so that we can check ?

email: odoomates@gmail.com


How I resolve this now?
by
Pablo Jimenez
on 8/6/22, 8:29 PM

Please upload in specified format ! date, payment reference, reference, partner, amount, currency ! Date Format: %Y-%m-%d
my file has this date 2022-06-3 but it does not works

Re: How I resolve this now?
by
Odoo Mates
on 8/7/22, 1:50 AM Author

Sample Format: https://github.com/odoomates/odooapps/tree/15.0/om_account_bank_statement_import/sample_files


the problem keeps on
by
Pablo Jimenez
on 8/6/22, 2:05 AM

I updated to the latest version, but problem is yet 




File "/cloudclusters/odoo/odoo/addons/om_account_bank_statement_import/models/account_bank_statement_import.py", line 89, in import_file
    'payment_ref': field[1],
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/cloudclusters/odoo/odoo/http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/cloudclusters/odoo/odoo/http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range
Re: the problem keeps on
by
Odoo Mates
on 8/6/22, 3:12 AM Author

Did you restarted the service after adding the module ?

Seems no, because in case of any error during import, system is expected to show the message:  https://github.com/odoomates/odooapps/blob/15.0/om_account_bank_statement_import/models/account_bank_statement_import.py#:~:text=raise ValidationError(_(%22Please,Date Format%3A %25Y%2D%25m%2D%25d%22))


Answering
by
Pablo Jimenez
on 8/5/22, 9:14 AM

I have ODOO 15,    and the version of the module is 15.0.2.0.0

Re: Answering
by
Odoo Mates
on 8/5/22, 12:08 PM Author

The latest version of module is: 15.0.2.4.0,
can you try with latest and let us know


I have the same problem that everyboy
by
Pablo Jimenez
on 8/5/22, 3:25 AM

File "/cloudclusters/odoo/odoo/api.py", line 451, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/cloudclusters/odoo/odoo/addons/om_account_bank_statement_import/models/account_bank_statement_import.py", line 89, in import_file

    'ref': field[2],

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/cloudclusters/odoo/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/cloudclusters/odoo/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

IndexError: list index out of range

Re: I have the same problem that everyboy
by
Odoo Mates
on 8/5/22, 5:43 AM Author

Can you confirm that you are using the latest version ?


by
Ignatius Cronjé
on 4/7/22, 7:05 AM

Hi similarly as the previous post, I too get an error after selecting the file to import:


File "/usr/lib/python3/dist-packages/odoo/api.py", line 451, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/om_account_bank_statement_import/models/account_bank_statement_import.py", line 90, in import_file
    'partner_id': self.get_partner(field[3]),
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range


Re:
by
Odoo Mates
on 4/8/22, 1:58 AM Author

Could you share us the sample file to odoomates@gmail.com